﻿/*
# Apprendre à programmer en ActionScript 3
# A. Tasso
# Chapitre 9 : Les principes du concept objet
# Exercice : Un menu déroulant
# Fichier : Exercice 9_2.fla
# Classe : Item.as
*/


//Définition de la classe Item 
package {
	import flash.display.*;
	import flash.events.*;
	public class Item extends Sprite {
		// Les propriétés
		private var info:Array;
		private var cetItem:ItemMenuClp;
		private var vitesse:Number = 12;
		// Le consrtructeur
		public function Item(nx:Number, ny:Number,  l:Array) {
			cetItem = new ItemMenuClp();
			addChild(cetItem);
			cetItem.x = nx;
			cetItem.y = ny;
			cetItem.labelOut.text=l[0];
			cetItem.label = l[0];
			cetItem.nbElt = l[1];
			// a. Au survol de la souris, l'item devient plus transparent
			cetItem.addEventListener(MouseEvent.MOUSE_OVER, auSurvol);
			// b. L'item reprend sa couleur initiale
			cetItem.addEventListener(MouseEvent.MOUSE_OUT, alExterieur);
			// c. Au clic, afficher le nombre d'éléments et le nom de la rubrique
			cetItem.addEventListener(MouseEvent.MOUSE_UP, auClic);
		}
		// Les méthodes
		private function auSurvol(e:MouseEvent):void {
			cetItem.alpha = 0.4;
		}
		private function alExterieur(e:MouseEvent):void {
			cetItem.alpha = 1;
		}

		private function auClic(e:MouseEvent):void {
			trace("j'affiche les " + cetItem.nbElt + " éléments de la rubrique " + cetItem.label);
		}
	}
}