﻿/*
# Apprendre à programmer en ActionScript 3
# A. Tasso
# Chapitre 9 : Les principes du concept objet
# Exercice : Un menu déroulant
# Fichier : Exercice 9_4.fla
# Classe : Menu.as
*/

package {
   import flash.display.*;
   import flash.events.*;
   //Définition de la classe Menu extends Sprite
   public class Menu extends Sprite{
   	// Définition des attributs de la classe
   	private var entete:ItemMenuClp;
   	private var listeItems:Array;
   	public var estVisible:Boolean = false;


 	 private function aDerouler(nbr:Number):void{
  		// Le menu déroule les items et devient visible
 	 }

 	 private function aEnrouler(nbr:Number):void{
  		// Le menu enroule les items et devient invisible (sauf l’entete)
 	 }

  	// c. Ajoute un item dans le tableau listeItems
  	private function ajouterUnItem(rubrique:Array):void{
    		var x:Number =  entete.x;
    		var y:Number =  entete.y;
    		var h:Number =  entete.height;
   	
   		 // Le consrtucteur Item crée les items et les places sous l'entête
    		var nvelItem:Item = new Item( x,y, rubrique);
                addChildAt(nvelItem,0);
    		listeItems.push(nvelItem);
  	}

  	// Définition de la fonction constructeur 
  	public function Menu(nom:String,  nx:Number, ny:Number, l:Array) { 	
    		var nbRubrique:Number = l.length;
   	
   		 // b. Créer l'entête
    		entete = new ItemMenuClp();
    		entete.x = nx;
    		entete.y = ny;
    		entete.labelOut.text = nom;
                addChildAt(entete,0);
    
   		 // b. Créer la liste des items
    		listeItems = new Array();
    		for(var i:uint = 0; i < nbRubrique; i++) {
      			ajouterUnItem(l[i]);
    		}
	}
   }
}
