﻿/*
# Apprendre à programmer en ActionScript 3
# A. Tasso
# Chapitre 9 : Les principes du concept objet
# Exemple : La protection des données
# Fichier : CreerDesPersonnesPrivees.fla
# Classe :  Personne.as
*/

package {
	// Définition de la classe Personne
	public class Personne {
       	// Définition des attributs de la classe
		private var prenom:String;
		private var nom:String;
		private var dateNaissance:Date;

	
  		// Définition de la fonction constructeur 
   		public function Personne( p:String, n:String, j:Number, m:Number, a:Number) {
	  		prenom = p;
	  		nom = n;
	  		dateNaissance = new Date(a, m, j);
   		}

  		// Définition du comportement sePresente()
  		public function sePresente():String {
	 	 	var age:Number = getAge()
	  		return "Je m'appelle " + prenom + " " + nom + "\nJ'ai " +age + " ans ";
  		}
	
  		// Définition de la méthode calculant l’âge de la personne
  		public function getAge():Number {
    			var aujourdHui:Date = new Date();
    			var age:Number = aujourdHui.getFullYear() - dateNaissance.getFullYear();
    			return age;
  		}
	}
}
