﻿/*
# Apprendre à programmer en ActionScript 3
# A. Tasso
# Chapitre 9 : Les principes du concept objet
# Exercice : Un menu déroulant
# Fichier : Exercice 9_6.fla
# Classe : Item.as
*/


//Définition de la classe Item

package {
	import flash.display.*;
	import flash.events.*;
	public class Item extends Sprite {

		private var info:Array;
		private var cetItem:ItemMenuClp;
		private var vitesse:Number = 12;
		private var positionFinale:Number;

		public function Item(nx:Number, ny:Number,  l:Array) {
			cetItem = new ItemMenuClp();
			addChild(cetItem);
			cetItem.x = nx;
			cetItem.y = ny;
			cetItem.labelOut.text=l[0];
			cetItem.label = l[0];
			cetItem.nbElt = l[1];
			cetItem.visible = false;
			cetItem.addEventListener(MouseEvent.MOUSE_OVER, auSurvol);
			cetItem.addEventListener(MouseEvent.MOUSE_OUT, alExterieur);
			cetItem.addEventListener(MouseEvent.MOUSE_UP, auClic);
		}
		private function auSurvol(e:MouseEvent):void {
			cetItem.alpha = 0.4;
		}
		private function alExterieur(e:MouseEvent):void {
			cetItem.alpha = 1;
		}

		private function auClic(e:MouseEvent):void {
			trace("j'affiche les " + cetItem.nbElt + " éléments de la rubrique " + cetItem.label);
		}


		// b. L'item devient visible et se déplace avec l'événement Event.ENTER_FRAME
		public function afficher(yMax:Number):void {
			cetItem.visible = true;
			positionFinale = yMax;
			// l'item se déplace jusqu'à yMax soit positionFinale
			cetItem.addEventListener(Event.ENTER_FRAME, seDeplaceVersLeBas);
		}
		private function seDeplaceVersLeBas(e:Event):void {
			// L'item se déplace de vitesse vers le bas
			cetItem.y +=vitesse ;
			// S'il dépasse la positionFinale, on supprime l'écouteur
			if (cetItem.y >=  positionFinale) {
				cetItem.y = positionFinale;
				cetItem.removeEventListener(Event.ENTER_FRAME, seDeplaceVersLeBas);
			}
		}

	}
}